apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  creationTimestamp: null
  labels:
    kubevirt.io/vm: service-mesh-vm
  name: service-mesh-vm-1749320409-4687986
spec:
  runStrategy: Halted
  template:
    metadata:
      annotations:
        sidecar.istio.io/inject: 'true'
      creationTimestamp: null
      labels:
        debugLogs: 'true'
        kubevirt.io/domain: service-mesh-vm-1749320409-4687986
        kubevirt.io/vm: service-mesh-vm-1749320409-4687986
    spec:
      domain:
        cpu:
          cores: 1
        devices:
          disks:
          - disk:
              bus: virtio
            name: containerdisk
          - disk:
              bus: virtio
            name: cloudinitdisk
          interfaces:
          - masquerade: {}
            name: default
          rng: {}
        machine:
          type: ''
        memory:
          guest: 1Gi
      networks:
      - name: default
        pod: {}
      terminationGracePeriodSeconds: 30
      volumes:
      - containerDisk:
          image: quay.io/kcrane/qe-cnv-tests-fedora:41@sha256:479f83638e93053ade4c976640830b87a7ee0883d49475e3d69724e5e95cd9e6
        name: containerdisk
      - cloudInitNoCloud:
          userData: |-
            #cloud-config
            password: password
            chpasswd: { expire: False }
        name: cloudinitdisk
